struct FCD {
          char status1;                                 /* 10  FCD-STATUS-KEY-1     PIC X. */
          char status2;                                 /* 10  FCD-STATUS-KEY-2     PIC X. */
          char filler1[2];                              /* 05  FCD-LENGTH           pic xx comp-x. */
          char filler2;                                 /* 05  FCD-VERSION          pic x comp-x. */
          cbl_x1_compx_t organization;                  /* 05  FCD-ORGANIZATION     PIC 9(2) COMP-X.*/
          cbl_x1_compx_t access;                        /* 05  FCD-ACCESS-MODE      PIC 9(2) COMP-X. */
          cbl_x1_compx_t open_mode;                     /* 05  FCD-OPEN-MODE        PIC 9(2) COMP-X. */
          char filler3[2];                              /* 05  FILLER               PIC X(2). */
          char filler4;                                 /* 05  FCD-BLOCK-SIZE       PIC 9(2) COMP-X. */
          cbl_x2_compx_t name_length;                   /* 05  FCD-NAME-LENGTH      PIC 9(4) COMP-X.*/
          cbl_x8_compx_t reladdr_big;                   /* 05  FCD-RELADDR-BIG      PIC X(8) COMP-X. */
          char filler5;                                 /* 05  FILLER               PIC X. */
          cbl_x1_compx_t trans_log;                     /* 05  FCD-TRANS-LOG        PIC 9(2) COMP-X. */
          char filler6;                                 /* 05  FILLER               PIC X(1). */
          cbl_x1_compx_t lock_mode;                     /* 05  FCD-LOCK-MODE        PIC 9(2) COMP-X. */
          cbl_x1_compx_t optional;                      /* 05  FCD-OTHER-FLAGS      PIC 9(2) COMP-X. */
          char filler7[2];                              /* 05  FILLER               PIC X(2). */
          cbl_pointer_t handle;                         /* 05  FCD-HANDLE           USAGE POINTER. */
          cbl_x1_compx_t percent;                       /* 05  FCD-PERCENT          PIC 9(2) COMP-X. */
          cbl_x1_compx_t status_type;                   /* 05  FCD-STATUS-TYPE      PIC 9(2) COMP-X. */
          cbl_x1_compx_t file_format;                   /* 05  FCD-FILE-FORMAT      PIC 9(2) COMP-X. */
          char filler8[3];                              /* 05  FILLER               PIC X(3). */
          cbl_x2_compx_t reclen_maximum;                /* 05  FCD-MAX-REC-LENGTH   PIC 9(4) COMP-X. */
          char filler9[2];                              /* 05  FILLER               PIC X(2). */
          char filler10;                                /* 05  FCD-MVS-FLAGS        PIC 9(2) COMP-X. */
          cbl_x4_compx_t relative_key;                  /* 05  FCD-RELATIVE-KEY     PIC 9(9) COMP-X. */
          cbl_x1_compx_t recording_mode;                /* 05  FCD-RECORDING-MODE   PIC 9(2) COMP-X. */
          cbl_x2_compx_t reclen_current;                /* 05  FCD-CURRENT-REC-LEN  PIC 9(4) COMP-X. */
          cbl_x2_compx_t reclen_minimum;                /* 05  FCD-MIN-REC-LENGTH   PIC 9(4) COMP-X. */
          cbl_x2_compx_t key_id;                        /* 05  FCD-KEY-ID           PIC 9(4) COMP-X. */
          cbl_x2_compx_t key_length;                    /* 05  FCD-KEY-LENGTH       PIC 9(4) COMP-X. */
          cbl_pointer_t record_pointer;                 /* 05  FCD-RECORD-ADDRESS   USAGE POINTER. */
          cbl_pointer_t name_pointer;                   /* 05  FCD-FILENAME-ADDRESS USAGE POINTER. */
          cbl_pointer_t keydef_pointer;                 /* 05  FCD-KEY-DEF-ADDRESS  USAGE POINTER. */
          cbl_pointer_t col_seq_address;                /* 05  FCD-COL-SEQ-ADDRESS  USAGE POINTER. */
          cbl_x4_compx_t relative_addr_offset;          /* 05  FCD-RELADDR-OFFSET   PIC 9(9) COMP-X. */
          char filler11[2];                             /* 05  FCD-NLS-ID           PIC 9(4) COMP-X. */
          cbl_x1_compx_t data_compress;                 /* 05  FCD-DATA-COMPRESS    PIC 9(2) COMP-X. */
          cbl_x4_compx_t fs_session_id;                 /* 05  FCD-SESSION-ID       PIC 9(9) COMP-X. */
          cbl_x2_compx_t fs_file_id;                    /* 05  FCD-FS-FILE-ID       PIC 9(4) COMP-X. */
          cbl_x4_compx_t max_rel_key;                   /* 05  FCD-MAX-REL-KEY      PIC 9(9) COMP-X. */
          cbl_x1_compx_t flags_1;                       /* 05  FCD-FLAGS-1          PIC 99   COMP-X. */
          cbl_x1_compx_t blocking;                      /* 05  FCD-BLOCKING         PIC 99   COMP-X. */
          cbl_x1_compx_t locktypes;                     /* 05  FCD-LOCKTYPES        PIC 99   COMP-X. */
          cbl_x1_compx_t fs_flags;                      /* 05  FCD-FS-FLAGS         PIC 99   COMP-X. */
          cbl_x1_compx_t config_flags;                  /* 05  FCD-CONFIG-FLAGS     PIC 99   COMP-X. */
          cbl_x1_compx_t misc_flags;                    /* 05  FCD-MISC-FLAGS       PIC 99   COMP-X. */
          cbl_x1_compx_t config_flags2;                 /* 05  FCD-CONFIG-FLAGS2    PIC 99   COMP-X. */
          cbl_x1_compx_t idxcache_size;                 /* 05  FCD-IDXCACHE-SIZE    PIC 99   COMP-X. */
          cbl_x1_compx_t idxcache_buffs;                /* 05  FCD-IDXCACHE-BUFFS   PIC 99   COMP-X. */
          char filler12;                                /* 05  FCD-INTERNAL-FLAGS-1 pic x comp-x. */
          char filler13;                                /* 05  FCD-INTERNAL-FLAGS-2 pic x comp-x. */
};
